#include <iostream>
int k[1000000];
int main() 
{
	int n,x,l,d;
	long long duz=0;
	scanf("%d%d",&n,&x);
	for(int i=0;i<n;i++)
	scanf("%d",&k[i]);
	l=x;
	d=x;
	for(int i=0;i<n;i++)
	{
		if(k[i]<l)
		l=k[i];
		else
		if(k[i]>d)
		d=k[i];
	}
	if((x-l)<=(d-x))
	{
		duz=(x-l)+(d-l);
	}
	else
	{
		duz=(d-x)+(d-l);
	}
	std::cout<<duz;
	return 0;
}